:: Better Rust Server Script (v1.6) by Judess69er ::
@echo off
mode 120,15

:::: Config Setting ::::
:: Define the config you are using (main | test)
set configtype=main

::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:::::::::::::::::: Main Configuration ::::::::::::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: Totally disables navmesh. Will cause animals not to move, useful for ??? (default false)
set navdisable=false

:: Will start the server before generating the mesh, but may cause some lag in the first couple minutes of the server being up (default true)
set navwait=true

:: The folder your oxide plugins will be located in
set oxidedirectory="C:\rustserver\oxide"

:: Changes path to your server data rust/server/my_server_identity. Useful for running multiple instances
set serveridentity="my_server_identity"

:: Server Settings ::
:: Defines the style of map your server is using (seed | custom)
set maptype=seed

:: Level Type | "Procedural Map" | "Barren" | "HapisIsland" |
set serverlevel="Procedural Map"

:: Defines the seed & size of the map generated (min 1000, max 6000)
set serverseed=1234
set worldsize=4000

:: Custom Map Location ::
:: Example1: "C:\RustServer\server\my_server_identity\YourMapNameHere.map"
:: Example2: "https://www.dropbox.com/s/hash_characters/my_custom_map.map?dl=1"
set levelurl="C:\RustServer\server\my_server_identity\YourMapNameHere.map"

:: Enable or disable Multiple IP's, true to enable false to disable the default setting is false.
set usemultiip=false

:: Sets the Server IP. Leave it to 0.0.0.0 unless you have multiple IPs
set serverip=0.0.0.0

:: Server refresh rate - Not recommended to go above 30. 
set refreshrate=10

:: Maximum amount of players allowed to connect to your server at a time
set maxplayers=10

:: Sets the port the server will use. (default 28015 UDP) 
set serverport=28015

:: Time in seconds for server save
set autosave=600

:: Server Password. ( true | false )
set usepw=false
set password=letmein

:: Server List Info ::
set servername="Name of Server as Shown on the Client Server List"
set description="Description shown on server connection window"
set website="http://yourwebsite.com"
set header="http://yourwebsite.com/serverimage.jpg"

:: Tags | monthly | biweekly | weekly | vanilla | pve | roleplay | creative | softcore | minigame | training | battlefield | broyale | builds |
set tags=vanilla,monthly,roleplay

:: Global Spawn Settings ::
:: It's not advised to set any of these above 3.0
set minrate=0.1
set maxrate=1.0
set mindensity=0.1
set maxdensity=1.0

:: Sets the RCON IP
set rconip=0.0.0.0

:: Port to listen to for RCON
set rconport=28016

:: If set to true, use websocket rcon. If set to false use legacy, source engine rcon
set rconweb=1

:: Debug Log. ( true | false )
set uselog=true
set debuglog="C:\rustserver\server\my_server_identity\ServerLogs\output.log"

::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:::::::::::::: End of Main Configuration :::::::::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                                                    ::
::                                                    ::
::                                                    ::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:::::::::::::::::: Test Configuration ::::::::::::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: Totally disables navmesh. Will cause animals not to move, useful for ??? (default false)
set testnavdisable=false

:: Will start the server before generating the mesh, but may cause some lag in the first couple minutes of the server being up (default true)
set testnavwait=true

:: The folder your oxide plugins will be located in
set testoxidedirectory="C:\rustserver\oxide"

:: Changes path to your server data rust/server/my_server_identity. Useful for running multiple instances
set testserveridentity="my_server_identity"

:: Server Settings ::
:: Defines the style of map your server is using (seed | custom)
set testmaptype=seed

:: Level Type | "Procedural Map" | "Barren" | "HapisIsland" |
set testserverlevel="Procedural Map"

:: Defines the seed & size of the map generated (min 1000, max 6000)
set serverseed=1234
set testworldsize=4000

:: Custom Map Location ::
:: Example1: "C:\RustServer\server\my_server_identity\YourMapNameHere.map"
:: Example2: "https://www.dropbox.com/s/hash_characters/my_custom_map.map?dl=1"
set testlevelurl="C:\RustServer\server\my_server_identity\YourMapNameHere.map"

:: Enable or disable Multiple IP's, true to enable false to disable the default setting is false.
set testusemultiip=false

:: Sets the Server IP. Leave it to 0.0.0.0 unless you have multiple IPs
set testserverip=0.0.0.0

:: Server refresh rate - Not recommended to go above 30. 
set testrefreshrate=10

:: Maximum amount of players allowed to connect to your server at a time
set testmaxplayers=10

:: Sets the port the server will use. (default 28015 UDP) 
set testserverport=28015

:: Time in seconds for server save
set testautosave=600

:: Server Password. ( true | false ) 
set testusepw=false
set testpassword=letmein

:: Server List Info ::
set testservername="Name of Server as Shown on the Client Server List"
set testdescription="Description shown on server connection window"
set testwebsite="http://yourwebsite.com"
set testheader="http://yourwebsite.com/serverimage.jpg"

:: Tags | monthly | biweekly | weekly | vanilla | pve | roleplay | creative | softcore | minigame | training | battlefield | broyale | builds |
set testtags=vanilla,monthly,roleplay

:: Global Spawn Settings ::
:: It's not advised to set any of these above 3.0
set testminrate=0.1
set testmaxrate=1.0
set testmindensity=0.1
set testmaxdensity=1.0

:: Sets the RCON IP
set testrconip=0.0.0.0

:: Port to listen to for RCON
set testrconport=28016

:: If set to true, use websocket rcon. If set to false use legacy, source engine rcon
set testrconweb=1

:: Debug Log. ( true | false ) 
set testuselog=true
set testdebuglog="C:\rustserver\server\my_server_identity\ServerLogs\output.log"


::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:::::::::::::: End of Test Configuration :::::::::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::




















::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::::::::: DO NOT EDIT ANYTHING BELOW THIS LINE :::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::




















goto start
:startseedpwlogip
<NUL set /P "=Starting Seed, Password, Debuglog, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.ip %serverip% +server.port %serverport% +server.tickrate %refreshrate% +server.seed %serverseed% +server.worldsize %worldsize% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.ip %rconip% +rcon.port %rconport% +rcon.web %rconweb% +rcon.password %password% -logfile %debuglog%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startseedpwlogip

:startcustompwlogip
<NUL set /P "=Starting Custom, Password, Debuglog, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.ip %serverip% +server.port %serverport% +server.tickrate %refreshrate% +levelurl %levelurl% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.ip %rconip% +rcon.port %rconport% +rcon.web %rconweb% +rcon.password %password% -logfile %debuglog%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startcustompwlogip

:startseedpwlog
<NUL set /P "=Starting Seed, Password, Debuglog Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.port %serverport% +server.tickrate %refreshrate% +server.seed %serverseed% +server.worldsize %worldsize% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.port %rconport% +rcon.web %rconweb% +rcon.password %password% -logfile %debuglog%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startseedpwlog

:startcustompwlog
<NUL set /P "=Starting Custom, Password, Debuglog Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.port %serverport% +server.tickrate %refreshrate% +levelurl %levelurl% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.port %rconport% +rcon.web %rconweb% +rcon.password %password% -logfile %debuglog%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startcustompwlog

:startseedpwip
<NUL set /P "=Starting Seed, Password, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.ip %serverip% +server.port %serverport% +server.tickrate %refreshrate% +server.seed %serverseed% +server.worldsize %worldsize% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.ip %rconip% +rcon.port %rconport% +rcon.web %rconweb% +rcon.password %password%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startseedpwip

:startcustompwip
<NUL set /P "=Starting Custom, Password, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.ip %serverip% +server.port %serverport% +server.tickrate %refreshrate% +levelurl %levelurl% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.ip %rconip% +rcon.port %rconport% +rcon.web %rconweb% +rcon.password %password%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startcustompwip

:startseedpw
<NUL set /P "=Starting Seed, Password Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.port %serverport% +server.tickrate %refreshrate% +server.seed %serverseed% +server.worldsize %worldsize% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.port %rconport% +rcon.web %rconweb% +rcon.password %password%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startseedpw

:startcustompw
<NUL set /P "=Starting Custom, Password Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.port %serverport% +server.tickrate %refreshrate% +levelurl %levelurl% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.port %rconport% +rcon.web %rconweb% +rcon.password %password%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startcustompw

:startseedlogip
<NUL set /P "=Starting Seed, Debuglog, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.ip %serverip% +server.port %serverport% +server.tickrate %refreshrate% +server.seed %serverseed% +server.worldsize %worldsize% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.ip %rconip% +rcon.port %rconport% +rcon.web %rconweb% -logfile %debuglog%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startseedlogip

:startcustomlogip
<NUL set /P "=Starting Custom, Debuglog, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.ip %serverip% +server.port %serverport% +server.tickrate %refreshrate% +levelurl %levelurl% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.ip %rconip% +rcon.port %rconport% +rcon.web %rconweb% -logfile %debuglog%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startcustomlogip

:startseedlog
<NUL set /P "=Starting Seed, Debuglog Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.port %serverport% +server.tickrate %refreshrate% +server.seed %serverseed% +server.worldsize %worldsize% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.port %rconport% +rcon.web %rconweb% -logfile %debuglog%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startseedlog

:startcustomlog
<NUL set /P "=Starting Custom, Debuglog Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.port %serverport% +server.tickrate %refreshrate% +levelurl %levelurl% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.port %rconport% +rcon.web %rconweb% -logfile %debuglog%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startcustomlog

:startseedip
<NUL set /P "=Starting Seed, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.ip %serverip% +server.port %serverport% +server.tickrate %refreshrate% +server.seed %serverseed% +server.worldsize %worldsize% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.ip %rconip% +rcon.port %rconport% +rcon.web %rconweb%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startseedip

:startcustomip
<NUL set /P "=Starting Custom, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.ip %serverip% +server.port %serverport% +server.tickrate %refreshrate% +levelurl %levelurl% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.ip %rconip% +rcon.port %rconport% +rcon.web %rconweb%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startcustomip

:startseed
<NUL set /P "=Starting Seed Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.port %serverport% +server.tickrate %refreshrate% +server.seed %serverseed% +server.worldsize %worldsize% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.port %rconport% +rcon.web %rconweb%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startseed

:startcustom
<NUL set /P "=Starting Custom Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %navdisable% +nav_wait %navwait% +server.port %serverport% +server.tickrate %refreshrate% +levelurl %levelurl% +server.maxplayers %maxplayers% +oxide.directory %oxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %header% +server.saveinterval %autosave% +spawn.min_rate %minrate% +spawn.max_rate %maxrate% +spawn.min_density %mindensity% +spawn.max_density %maxdensity% +rcon.port %rconport% +rcon.web %rconweb%

cls
<NUL set /P "=Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto startcustom

:teststartseedpwlogip
<NUL set /P "=Starting Test Seed, Password, Debuglog, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.ip %testserverip% +server.port %testserverport% +server.tickrate %testrefreshrate% +server.seed %testserverseed% +server.worldsize %testworldsize% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.ip %testrconip% +rcon.port %testrconport% +rcon.web %testrconweb% +rcon.password %testpassword% -logfile %testdebuglog%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartseedpwlogip

:teststartcustompwlogip
<NUL set /P "=Starting Test Custom, Password, Debuglog, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.ip %testserverip% +server.port %testserverport% +server.tickrate %testrefreshrate% +levelurl %testlevelurl% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.ip %testrconip% +rcon.port %testrconport% +rcon.web %testrconweb% +rcon.password %testpassword% -logfile %testdebuglog%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartcustompwlogip

:teststartseedpwlog
<NUL set /P "=Starting Test Seed, Password, Debuglog Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.port %testserverport% +server.tickrate %testrefreshrate% +server.seed %testserverseed% +server.worldsize %testworldsize% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.port %testrconport% +rcon.web %testrconweb% +rcon.password %testpassword% -logfile %testdebuglog%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartseedpwlog

:teststartcustompwlog
<NUL set /P "=Starting Test Custom, Password, Debuglog Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.port %testserverport% +server.tickrate %testrefreshrate% +levelurl %testlevelurl% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.port %testrconport% +rcon.web %testrconweb% +rcon.password %testpassword% -logfile %testdebuglog%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartcustompwlog

:teststartseedpwip
<NUL set /P "=Starting Test Seed, Password, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.ip %testserverip% +server.port %testserverport% +server.tickrate %testrefreshrate% +server.seed %testserverseed% +server.worldsize %testworldsize% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.ip %testrconip% +rcon.port %testrconport% +rcon.web %testrconweb% +rcon.password %testpassword%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartseedpwip

:teststartcustompwip
<NUL set /P "=Starting Test Custom, Password, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.ip %testserverip% +server.port %testserverport% +server.tickrate %testrefreshrate% +levelurl %testlevelurl% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.ip %testrconip% +rcon.port %testrconport% +rcon.web %testrconweb% +rcon.password %testpassword%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartcustompwip

:teststartseedpw
<NUL set /P "=Starting Test Seed, Password Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.port %testserverport% +server.tickrate %testrefreshrate% +server.seed %testserverseed% +server.worldsize %testworldsize% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.port %testrconport% +rcon.web %testrconweb% +rcon.password %testpassword%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartseedpw

:teststartcustompw
<NUL set /P "=Starting Test Custom, Password Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.port %testserverport% +server.tickrate %testrefreshrate% +levelurl %testlevelurl% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.port %testrconport% +rcon.web %testrconweb% +rcon.password %testpassword%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartcustompw

:teststartseedlogip
<NUL set /P "=Starting Test Seed, Debuglog, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.ip %testserverip% +server.port %testserverport% +server.tickrate %testrefreshrate% +server.seed %testserverseed% +server.worldsize %testworldsize% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.ip %testrconip% +rcon.port %testrconport% +rcon.web %testrconweb% -logfile %testdebuglog%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartseedlogip

:teststartcustomlogip
<NUL set /P "=Starting Test Custom, Debuglog, Multiple IP Server, Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.ip %testserverip% +server.port %testserverport% +server.tickrate %testrefreshrate% +levelurl %testlevelurl% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.ip %testrconip% +rcon.port %testrconport% +rcon.web %testrconweb% -logfile %testdebuglog%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartcustomlogip

:teststartseedlog
<NUL set /P "=Starting Test Seed, Debuglog Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.port %testserverport% +server.tickrate %testrefreshrate% +server.seed %testserverseed% +server.worldsize %testworldsize% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %servername% +server.description %description% +server.tags %tags% +server.identity %serveridentity% +server.url %website% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.port %testrconport% +rcon.web %testrconweb% -logfile %testdebuglog%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartseedlog

:teststartcustomlog
<NUL set /P "=Starting Test Custom, Debuglog Server, Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.port %testserverport% +server.tickrate %testrefreshrate% +levelurl %testlevelurl% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.port %testrconport% +rcon.web %testrconweb% -logfile %testdebuglog%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartcustomlog

:teststartseedip
<NUL set /P "=Starting Test Seed, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.ip %testserverip% +server.port %testserverport% +server.tickrate %testrefreshrate% +server.seed %testserverseed% +server.worldsize %testworldsize% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.ip %testrconip% +rcon.port %testrconport% +rcon.web %testrconweb%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartseedip

:teststartcustomip
<NUL set /P "=Starting Test Custom, Multiple IP Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.ip %testserverip% +server.port %testserverport% +server.tickrate %testrefreshrate% +levelurl %testlevelurl% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.ip %testrconip% +rcon.port %testrconport% +rcon.web %testrconweb%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartcustomip

:teststartseed
<NUL set /P "=Starting Test Seed Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.port %testserverport% +server.tickrate %testrefreshrate% +server.seed %testserverseed% +server.worldsize %testworldsize% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.port %testrconport% +rcon.web %testrconweb%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartseed

:teststartcustom
<NUL set /P "=Starting Test Custom Server Please Wait"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
cls
RustDedicated.exe -batchmode +nav_disable %testnavdisable% +nav_wait %testnavwait% +server.port %testserverport% +server.tickrate %testrefreshrate% +levelurl %testlevelurl% +server.maxplayers %testmaxplayers% +oxide.directory %testoxidedirectory% +server.hostname %testservername% +server.description %testdescription% +server.tags %testtags% +server.identity %testserveridentity% +server.url %testwebsite% +server.headerimage %testheader% +server.saveinterval %testautosave% +spawn.min_rate %testminrate% +spawn.max_rate %testmaxrate% +spawn.min_density %testmindensity% +spawn.max_density %testmaxdensity% +rcon.port %testrconport% +rcon.web %testrconweb%

cls
<NUL set /P "=Test Server shutting down"
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
<NUL set /P "=."
ping localhost -n 2 >nul
goto teststartcustom

:start
set /p configtype="If you want to switch configuration your using type: main or test (Current Config: %configtype%): "
echo.
goto startcheck

:startcheck
if "%configtype%" == "main" goto startcheckmain
if "%configtype%" == "test" goto startchecktest

:startcheckmain
if "%maptype%" == "seed" if "%usepw%" == "true" if "%uselog%" == "true" if "%usemultiip%" == "true" goto startseedpwlogip
if "%maptype%" == "custom" if "%usepw%" == "true" if "%uselog%" == "true" if "%usemultiip%" == "true" goto startcustompwlogip
if "%maptype%" == "seed" if "%usepw%" == "true" if "%uselog%" == "true" if "%usemultiip%" == "false" goto startseedpwlog
if "%maptype%" == "custom" if "%usepw%" == "true" if "%uselog%" == "true" if "%usemultiip%" == "false" goto startcustompwlog
if "%maptype%" == "seed" if "%usepw%" == "true" if "%uselog%" == "false" if "%usemultiip%" == "true" goto startseedpwip
if "%maptype%" == "custom" if "%usepw%" == "true" if "%uselog%" == "false" if "%usemultiip%" == "true" goto startcustompwip
if "%maptype%" == "seed" if "%usepw%" == "true" if "%uselog%" == "false" if "%usemultiip%" == "false" goto startseedpw
if "%maptype%" == "custom" if "%usepw%" == "true" if "%uselog%" == "false" if "%usemultiip%" == "false" goto startcustompw
if "%maptype%" == "seed" if "%usepw%" == "false" if "%uselog%" == "true" if "%usemultiip%" == "true" goto startseedlogip
if "%maptype%" == "custom" if "%usepw%" == "false" if "%uselog%" == "true" if "%usemultiip%" == "true" goto startcustomlogip
if "%maptype%" == "seed" if "%usepw%" == "false" if "%uselog%" == "true" if "%usemultiip%" == "false" goto startseedlog
if "%maptype%" == "custom" if "%usepw%" == "false" if "%uselog%" == "true" if "%usemultiip%" == "false" goto startcustomlog
if "%maptype%" == "seed" if "%usepw%" == "false" if "%uselog%" == "false" if "%usemultiip%" == "true" goto startseedip
if "%maptype%" == "custom" if "%usepw%" == "false" if "%uselog%" == "false" if "%usemultiip%" == "true" goto startcustomip
if "%maptype%" == "seed" if "%usepw%" == "false" if "%uselog%" == "false" if "%usemultiip%" == "false" goto startseed
if "%maptype%" == "custom" if "%usepw%" == "false" if "%uselog%" == "false" if "%usemultiip%" == "false" goto startcustom

:startchecktest
if "%testmaptype%" == "seed" if "%testusepw%" == "true" if "%testuselog%" == "true" if "%testusemultiip%" == "true" goto teststartseedpwlogip
if "%testmaptype%" == "custom" if "%testusepw%" == "true" if "%testuselog%" == "true" if "%testusemultiip%" == "true" goto teststartcustompwlogip
if "%testmaptype%" == "seed" if "%testusepw%" == "true" if "%testuselog%" == "true" if "%testusemultiip%" == "false" goto teststartseedpwlog
if "%testmaptype%" == "custom" if "%testusepw%" == "true" if "%testuselog%" == "true" if "%testusemultiip%" == "false" goto teststartcustompwlog
if "%testmaptype%" == "seed" if "%testusepw%" == "true" if "%testuselog%" == "false" if "%testusemultiip%" == "true" goto teststartseedpwip
if "%testmaptype%" == "custom" if "%testusepw%" == "true" if "%testuselog%" == "false" if "%testusemultiip%" == "true" goto teststartcustompwip
if "%testmaptype%" == "seed" if "%testusepw%" == "true" if "%testuselog%" == "false" if "%testusemultiip%" == "false" goto teststartseedpw
if "%testmaptype%" == "custom" if "%testusepw%" == "true" if "%testuselog%" == "false" if "%testusemultiip%" == "false" goto teststartcustompw
if "%testmaptype%" == "seed" if "%testusepw%" == "false" if "%testuselog%" == "true" if "%testusemultiip%" == "true" goto teststartseedlogip
if "%testmaptype%" == "custom" if "%testusepw%" == "false" if "%testuselog%" == "true" if "%testusemultiip%" == "true" goto teststartcustomlogip
if "%testmaptype%" == "seed" if "%testusepw%" == "false" if "%testuselog%" == "true" if "%testusemultiip%" == "false" goto teststartseedlog
if "%testmaptype%" == "custom" if "%testusepw%" == "false" if "%testuselog%" == "true" if "%testusemultiip%" == "false" goto teststartcustomlog
if "%testmaptype%" == "seed" if "%testusepw%" == "false" if "%testuselog%" == "false" if "%testusemultiip%" == "true" goto teststartseedip
if "%testmaptype%" == "custom" if "%testusepw%" == "false" if "%testuselog%" == "false" if "%testusemultiip%" == "true" goto teststartcustomip
if "%testmaptype%" == "seed" if "%testusepw%" == "false" if "%testuselog%" == "false" if "%testusemultiip%" == "false" goto teststartseed
if "%testmaptype%" == "custom" if "%testusepw%" == "false" if "%testuselog%" == "false" if "%testusemultiip%" == "false" goto teststartcustom

:: Better Rust Server Script (v1.6) by Judess69er ::